gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.IconViewAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype IconViewAccessible = IconViewAccessible (ManagedPtr IconViewAccessible)
- class (GObject o, IsDescendantOf IconViewAccessible o) => IsIconViewAccessible o
- toIconViewAccessible :: (MonadIO m, IsIconViewAccessible o) => o -> m IconViewAccessible

# Exported types

newtype IconViewAccessible Source #

Memory-managed wrapper type.

Constructors

IconViewAccessible (ManagedPtr IconViewAccessible) |

#### Instances

Instances details

Eq IconViewAccessible Source # |
Instance details Defined in GI.Gtk.Objects.IconViewAccessible Methods (==) :: IconViewAccessible -> IconViewAccessible -> Bool Source # (/=) :: IconViewAccessible -> IconViewAccessible -> Bool Source #
GObject IconViewAccessible Source # |
Instance details Defined in GI.Gtk.Objects.IconViewAccessible
ManagedPtrNewtype IconViewAccessible Source # |
Instance details Defined in GI.Gtk.Objects.IconViewAccessible Methods toManagedPtr :: IconViewAccessible -> ManagedPtr IconViewAccessible Source #
TypedObject IconViewAccessible Source # |
Instance details Defined in GI.Gtk.Objects.IconViewAccessible Methods glibType :: IO GType Source #
HasParentTypes IconViewAccessible Source # |
Instance details Defined in GI.Gtk.Objects.IconViewAccessible
IsGValue (Maybe IconViewAccessible) Source # | Convert `IconViewAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.IconViewAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe IconViewAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe IconViewAccessible) Source #
type ParentTypes IconViewAccessible Source # |
Instance details Defined in GI.Gtk.Objects.IconViewAccessible type ParentTypes IconViewAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Component, Selection]

class (GObject o, IsDescendantOf IconViewAccessible o) => IsIconViewAccessible o Source #

Type class for types which can be safely cast to `IconViewAccessible`, for instance with `toIconViewAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf IconViewAccessible o) => IsIconViewAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.IconViewAccessible

toIconViewAccessible :: (MonadIO m, IsIconViewAccessible o) => o -> m IconViewAccessible Source #

Cast to `IconViewAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, addSelection, bindProperty, bindPropertyFull, clearSelection, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isChildSelected, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSelection, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, removeSelection, runDispose, scrollTo, scrollToPoint, selectAllSelection, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSelectionCount, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.